import request from '@/utils/request'

// 查询用户提现统计列表
export function listSerAppUserWithdrawalStat(query) {
  return request({
    url: '/service/SerAppUserWithdrawalStat/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现统计详细
export function getSerAppUserWithdrawalStat(statId) {
  return request({
    url: '/service/SerAppUserWithdrawalStat/' + statId,
    method: 'get'
  })
}

// 新增用户提现统计
export function addSerAppUserWithdrawalStat(data) {
  return request({
    url: '/service/SerAppUserWithdrawalStat',
    method: 'post',
    data: data
  })
}

// 修改用户提现统计
export function updateSerAppUserWithdrawalStat(data) {
  return request({
    url: '/service/SerAppUserWithdrawalStat',
    method: 'put',
    data: data
  })
}

// 删除用户提现统计
export function delSerAppUserWithdrawalStat(statId) {
  return request({
    url: '/service/SerAppUserWithdrawalStat/' + statId,
    method: 'delete'
  })
}
